Update a source
Partially update a source by its ID.
PATCH
/sources/{id}
Partially update a source by its ID.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
Source name
description
string
Source description
verification_enabled
boolean
Enable signature verification
verification_type
string
Verification algorithm
verification_secret
string
Verification secret
verification_header
string
Header containing signature
verification_config
string
Verification config JSON
dedup_enabled
boolean
Enable deduplication
dedup_strategy
string
Dedup strategy
dedup_field
string
Dedup field path
dedup_window_seconds
number
Dedup window in seconds
ip_allowlist
string[]
Allowed IP CIDRs
Array of:
ip_denylist
string[]
Denied IP CIDRs
Array of:
status
string
Source status
Enum:
active, paused, disabledResponses
200
Updated source
application/jsonsource
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
slug
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
template
string | null
REQUIRED
verification_enabled
integer
REQUIRED
verification_type
string | null
REQUIRED
verification_secret
string | null
REQUIRED
verification_header
string | null
REQUIRED
verification_config
string | null
REQUIRED
dedup_enabled
integer
REQUIRED
dedup_strategy
string | null
REQUIRED
dedup_field
string | null
REQUIRED
dedup_window_seconds
integer
REQUIRED
ip_allowlist
string | null
REQUIRED
ip_denylist
string | null
REQUIRED
status
string
REQUIRED
event_count
integer
REQUIRED
last_event_at
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
is_ephemeral
integer
REQUIRED
expires_at
string | null
REQUIRED
request_limit
integer | null
REQUIRED
type
string
REQUIRED
source_config
string | null
REQUIRED
schema_validation_enabled
integer
REQUIRED
json_schema
string | null
REQUIRED
schema_action
string | null
REQUIRED
400
Validation error
401
Unauthorized
404
Source not found
curl -X PATCH 'https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string",
"verification_enabled": true,
"verification_type": "string",
"verification_secret": "string",
"verification_header": "string",
"verification_config": "string",
"dedup_enabled": true,
"dedup_strategy": "string",
"dedup_field": "string",
"dedup_window_seconds": 0,
"ip_allowlist": [
"string"
],
"ip_denylist": [
"string"
],
"status": "active"
}'
const response = await fetch('https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
method: 'PATCH',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"description": "string",
"verification_enabled": true,
"verification_type": "string",
"verification_secret": "string",
"verification_header": "string",
"verification_config": "string",
"dedup_enabled": true,
"dedup_strategy": "string",
"dedup_field": "string",
"dedup_window_seconds": 0,
"ip_allowlist": [
"string"
],
"ip_denylist": [
"string"
],
"status": "active"
})
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.patch('https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={
"name": "string",
"description": "string",
"verification_enabled": true,
"verification_type": "string",
"verification_secret": "string",
"verification_header": "string",
"verification_config": "string",
"dedup_enabled": true,
"dedup_strategy": "string",
"dedup_field": "string",
"dedup_window_seconds": 0,
"ip_allowlist": [
"string"
],
"ip_denylist": [
"string"
],
"status": "active"
})
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"name": "string",
"description": "string",
"verification_enabled": true,
"verification_type": "string",
"verification_secret": "string",
"verification_header": "string",
"verification_config": "string",
"dedup_enabled": true,
"dedup_strategy": "string",
"dedup_field": "string",
"dedup_window_seconds": 0,
"ip_allowlist": [
"string"
],
"ip_denylist": [
"string"
],
"status": "active"
}`)
req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body)
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
result, _ := io.ReadAll(resp.Body)
fmt.Println(string(result))
}
200
Response
{
"source": {
"id": "<string>",
"org_id": "<string>",
"env_id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"template": "<string>",
"verification_enabled": 123,
"verification_type": "<string>",
"verification_secret": "<string>",
"verification_header": "<string>",
"verification_config": "<string>",
"dedup_enabled": 123,
"dedup_strategy": "<string>",
"dedup_field": "<string>",
"dedup_window_seconds": 123,
"ip_allowlist": "<string>",
"ip_denylist": "<string>",
"status": "<string>",
"event_count": 123,
"last_event_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"is_ephemeral": 123,
"expires_at": "<string>",
"request_limit": 123,
"type": "<string>",
"source_config": "<string>",
"schema_validation_enabled": 123,
"json_schema": "<string>",
"schema_action": "<string>"
}
}
PATCH
/sources/{id}